Can't publish latest version using apm [EDIT: SOLVED]


#1

Basically what the title says. I get a strange error when I try running apm publish major. This is the full output from the command:

Preparing and tagging a new version failed
v1.0.0

npm ERR! Windows_NT 10.0.16299
npm ERR! argv "C:\\Users\\MYNAME\\AppData\\Local\\atom\\app-1.23.2\\resources\\app\\apm\\bin\\node.exe" "C:\\Users\\premg\\AppData\\Local\\atom\\app-1.23.2\\resources\\app\\apm\\node_modules\\np
m\\bin\\npm-cli.js" "version" "major" "-m" "Prepare %s release"
npm ERR! node v6.9.5
npm ERR! npm  v3.10.10
npm ERR! code 128

npm ERR! Command failed: git -c core.longpaths=true tag v1.0.0 -am Prepare 1.0.0 release
npm ERR! fatal: tag 'v1.0.0' already exists
npm ERR!
npm ERR!
npm ERR! If you need help, you may report this error at:
npm ERR!     

npm ERR! Please include the following file with any support request:
npm ERR!     C:\Users\premg\.atom\packages\comment-that\npm-debug.log

If you need the npm-debug.log contents, I’ll post that too. I have also tried using apm publish -t v1.0.0, but it didn’t work and gave an error saying “git tag not found”.

Thanks in advance!

EDIT: SOLVED


#2

Which package are you working on?


#3

Oh, actually, I solved the issue. Thanks though!


#4

Oh awesome, glad to hear it :raised_hands:

Out of curiosity, can you share what the problem was and your fix?


#5

I still have no clue what the problem was, but I fixed it by unpublishing and republishing the package using apm.